givpoly1factor.h File Reference

NO DOC. More...

`#include <givaro/givrandom.h>`
`#include <givaro/givpoly1.h>`
`#include "givaro/givpoly1factor.inl"`
`#include "givaro/givpoly1proot.inl"`
Include dependency graph for givpoly1factor.h:

## Data Structures

class | Poly1FactorDom< Domain, Tag, RandomIterator >
| Poly1FactorDom. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

NO DOC.

- Irreducibily test
- Factorisations de Polynomes dans Fp[X] :
- Distinct Degree
- Cantor-Zassenhaus
- Berlekamp: moved in LinBox